/* Dark theme */
@media (prefers-color-scheme: dark) {
  /* Add a bit of transparency so light media isn't so glaring in dark mode */
  img,
  video {
    opacity: 0.9;
  }
}

/* Reset box-sizing */
*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  max-height: 100%;
}

body {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
  margin: 0 0 0 0;
  @apply bg-white dark:bg-black;
}

a {
  text-decoration: none;
}

.icon {
  @apply text-black dark:text-white;
  transition: opacity 0.3s ease-out;
}

.icon:hover {
  @apply opacity-60;
}
